Bug 467982 - anaconda doesn't render glyphs with the proper font
anaconda doesn't render glyphs with the proper font
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks: F10AnacondaBlocker
  Show dependency treegraph
 
Reported: 2008-10-21 22:55 EDT by Akira TAGOH
Modified: 2009-06-18 13:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 13:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (70.69 KB, image/png)
2008-10-21 22:55 EDT, Akira TAGOH
no flags Details

  None (edit)
Description Akira TAGOH 2008-10-21 22:55:21 EDT
Created attachment 321105 [details]
Screenshot

Description of problem:
When I select Japanese on the language selection with today's rawhide tree, it looks like anaconda is rendering some glyphs with Chinese font.

Version-Release number of selected component (if applicable):
anaconda-11.4.1.50

How reproducible:
always

Steps to Reproduce:
1.Select Japanese on the language selection
2.See a notice for beta after pressing Next button twice.
3.
  
Actual results:
some glyphs looks like from Chinese font.

Expected results:
should be from Japanese font.

Additional info:
This is a regression. it worked before.
Comment 1 Chris Lumens 2008-10-22 09:53:38 EDT
What fonts should we be using for Japanese now?
Comment 2 Akira TAGOH 2008-10-22 21:44:33 EDT
VL-Gothic-Regular.ttf in VLGothic-fonts package.
Comment 3 Chris Lumens 2008-10-23 09:54:47 EDT
Hm, that's definitely the font we are including.
Comment 4 Chris Lumens 2008-10-27 10:42:35 EDT
This happens when running anaconda on a regular system in test mode too.
Comment 5 Nicolas Mailhot 2008-10-29 13:34:34 EDT
We've merged a lot of Asian (Korean...) fonts lately, maybe it's one of them

You really need to have Behdad audit the fontconfig priority level given to all recent CJK fonts (and I include fonts in the pipeline like hanazono).

For example, I've seen CJK packages that proposed 59 as priority, when our guidelines (which match upstream's) state the highest priority for a non LGC font should be 65.

I hope we'll not repeat the arms race between Chinese/Japanese/Korean users where each one tries to one-up the other and put himself higher in the priority queue.
Comment 6 Jens Petersen 2008-11-11 00:35:41 EST
This only seems to affect anaconda, so I don't see why this should be a fontconfig issue.
Comment 7 Chris Lumens 2008-11-11 18:10:38 EST
Jens - so, any idea what could be going on here?  I'm not exactly a font expert so I'm at a bit of a loss as to what could be the cause of this problem.
Comment 8 Jens Petersen 2008-11-11 18:26:06 EST
I guess pango is not seeing the locale information somehow so it doesn't know what CJK font to choose.

As I recall this regression started happening (very roughly) a week or more before this bug was filed.
Comment 9 Jens Petersen 2008-11-12 21:43:00 EST
Fixed for me in anaconda-11.4.1.57-1.
Comment 10 Jens Petersen 2008-11-26 20:37:00 EST
Not sure if I tested well enough, or what happened, but this is back in f10-final unfortunately. :-(
Comment 11 Jens Petersen 2008-11-26 21:46:55 EST
Yeah my bad I retested anaconda-11.4.1.57-1 and it was broken too.

Actually testing more I realise this is not a new bug: it affects Chinese fonts in F8 and F9 anaconda too.
Now in F10 Chinese is ok but Japanese broken instead - presumably the fontconfig default priorities changed that.
But this needs to be fixed by some kind of lang tagging or locale setting in anaconda.
Comment 12 Jens Petersen 2008-11-26 21:55:12 EST
> it affects Chinese fonts in F8 and F9 anaconda too.

I meant Chinese installs (they get Japanese glyphs appearing when they exist).
Comment 13 Takanori MATSUURA 2008-12-10 20:08:06 EST
Sometimes, font switching in pango is irresponsible、especially in alias fonts (serif, sans-serif, monospace).

Firefox used to have the similar problem and has been fixed.
http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=5180 (Mozilla-gumi bugzilla; in Japanese)
https://bugzilla.mozilla.org/show_bug.cgi?id=339513 (bmo)
Comment 14 Chris Lumens 2009-05-19 11:14:48 EDT
I changed out a lot of font package names for F11.  Is this any better now?

Note You need to log in before you can comment on or make changes to this bug.